Package org.apache.sling.launchpad.base.impl

# Class DirectoryUtil

java.lang.Object
org.apache.sling.launchpad.base.impl.DirectoryUtil

public class DirectoryUtil extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FileFilter`
`BUNDLE_FILE_FILTER`
Simple bundle file filter
`static final FileFilter`
`DIRECTORY_FILTER`
Simple directory filter
`static final String`
`PATH_CONF`
The path of startup bundles in the sling home
`static final String`
`PATH_STARTUP`
The path of startup bundles in the sling home

## Constructor Summary

Constructors
Constructor
Description
`DirectoryUtil()`

## Method Summary

Modifier and Type
Method
Description
`static File`
`getConfigDir(Map<String,String> properties)`
Return the config dir.
`static File`
`getHomeDir(Map<String,String> properties)`
`static File`
`getStartupDir(Map<String,String> properties)`
Return the startup dir.
`static boolean`
`isBundle(String path)`
Determine if a path could be a bundle based on its extension.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PATH_STARTUP

public static final String PATH_STARTUP
The path of startup bundles in the sling home

See Also:
  - Constant Field Values

### PATH_CONF

public static final String PATH_CONF
The path of startup bundles in the sling home

See Also:
  - Constant Field Values

### DIRECTORY_FILTER

public static final FileFilter DIRECTORY_FILTER
Simple directory filter

### BUNDLE_FILE_FILTER

public static final FileFilter BUNDLE_FILE_FILTER
Simple bundle file filter

## Constructor Details

### DirectoryUtil

public DirectoryUtil()

## Method Details

### isBundle

public static boolean isBundle(String path)
Determine if a path could be a bundle based on its extension.

Parameters:
  `path` - the path to the file
Returns:
  true if the path could be a bundle

### getHomeDir

public static File getHomeDir(Map<String,String> properties)

### getConfigDir

public static File getConfigDir(Map<String,String> properties)
Return the config dir.

Parameters:
  `properties` - The properties.
Returns:
  The config dir.

### getStartupDir

public static File getStartupDir(Map<String,String> properties)
Return the startup dir.

Parameters:
  `properties` - The properties.
Returns:
  The startup dir.